## Définition des contraintes de cardinalités

![](../../Ressources/Images/menu_contextuel_cardinalites.PNG)

La fonction **Ajouter une contrainte sur les cardinalités** accessible via le menu contextuel permet de créer une nouvelle contrainte de cardinalité. Lors du clic sur cet élément, une nouvelle contrainte est ajoutée et l’interface de création de la contrainte est affichée.

![](../../Ressources/Images/interface_cardinalite_702x428.png)

Elle permet de créer de nouvelles relations en définissant les types d’entité parents et enfants et en précisant les nombres minimales et maximales d’enfants et de parents. L’utilisateur doit spécifier la correspondance entre les attributs du type d’entité parent et du type d’entité enfant. Il peut rajouter un commentaire pour détailler le contrôle.

Voici les erreurs pouvant être retournées par ce contrôle :

<span style="color: #943a99;">==> Erreur retournée : E0030 (Enfants avec trop de parents).</span>

<span style="color: #943a99;">==> Erreur retournée : E0031 (Enfant sans parent).</span>

<span style="color: #943a99;">==> Erreur retournée : E0032 (Parent avec trop d’enfants).</span>

<span style="color: #943a99;">==> Erreur retournée : E0033 (Parents sans enfant ou avec pas assez d’enfants).</span>

[En savoir plus sur les relations de cardinalités dans Qualigéo.](../../04-ContraintesRessources/03.01.RelationsCardinalites.html)
